## r-cran-rniftilib 0.0

=== DESCRIPTION ===
Package: Rniftilib
Version: 0.0-35
Date: 2015-01-06
Title: R Interface to nifticlib for Reading and Writing Images in NIfTI-1 and ANALYZE Format
Author: Oliver Granert [aut, cre],
  nifticlib-2.0.0 Authors (for the included nifticlib sources) [ctb],
  Brandon Whitcher [ctb]
Authors@R: c(person("Oliver Granert",role=c("aut", "cre"),email="o.granert@neurologie.uni-kiel.de"),
    person("nifticlib Authors (for the included nifticlib-2.0.0 sources)",role="ctb"),
    person("Brandon Whitcher",role="ctb"))
Maintainer: Oliver Granert <o.granert@neurologie.uni-kiel.de>
Depends: R (>= 2.15.1)
Suggests:
Description: Provides functions to read/write images in ANALYZE(TM)7.5 (.img/.hdr) and NIfTI-1 (.nii) data format. 
  The supported image formats are very common for functional brain MRI data analysis, but are also used for 
  other tormographic or volumetric measurement data such as medical images of other body parts.
  The functions are implemented using the C-based nifticlib, a reference implementation for the NIfTI data format.
  Currently, this package embeds some slightly modified parts of the public domain library nifticlib-2.0.0
  (http://sourceforge.net/projects/niftilib/). 
  The small modifications to the included nifticlib sources were required to comply with the R extensions rules.
License: GPL (>=2) | file LICENSE
URL: http://rniftilib.r-forge.r-project.org/

## r-cran-rniftilib 0.0-32

=== debian/changelog ===
r-cran-rniftilib (0.0-32-1) unstable; urgency=low

  * Initial release (closes: #717715)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jul 2013 08:14:10 +0200

=== debian/control ===
Source: r-cran-rniftilib
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev, cdbs
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/Rniftilib
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-rniftilib/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-rniftilib/trunk/

Package: r-cran-rniftilib
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${R:Depends}
Description: GNU/R interface to NIFTICLIB
 R interface to nifticlib (nifticlib-2.0.0) (read/write
 ANALYZE(TM)7.5/NIfTI-1 volume images)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

### unfortunately this does not enable hardening
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# DPKG_EXPORT_BUILDFLAGS = 1
# include /usr/share/dpkg/buildflags.mk

include /usr/share/R/debian/r-cran.mk

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/Rniftilib_([\d.-]*)\.tar\.gz

## r-cran-rniftilib 0.0-35.r79

=== debian/changelog ===
r-cran-rniftilib (0.0-35.r79-5) unstable; urgency=medium

  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jun 2018 22:20:43 +0200

r-cran-rniftilib (0.0-35.r79-4) unstable; urgency=medium

  * Build-Depends: autoconf-archive
    Closes: #876531

 -- Andreas Tille <tille@debian.org>  Sat, 23 Sep 2017 15:28:23 +0200

r-cran-rniftilib (0.0-35.r79-3) unstable; urgency=medium

  * Standards-Version: 4.1.0 (no changes needed)
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 15:41:09 +0200

r-cran-rniftilib (0.0-35.r79-2) unstable; urgency=medium

  * d/watch: Use fake watch file
  * cme fix dpkg-control
  * convert to dh-r

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2016 10:41:49 +0100

r-cran-rniftilib (0.0-35.r79-1) unstable; urgency=medium

  * New upstream version in SVN
  * Moved to Git
  * Add citation data
  * cme fix dpkg-control
  * Fix spelling

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jan 2016 09:12:51 +0100

=== debian/control ===
Source: r-cran-rniftilib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               autoconf-archive
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-rniftilib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-rniftilib.git
Homepage: http://rniftilib.r-forge.r-project.org/

Package: r-cran-rniftilib
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU/R interface to NIFTICLIB
 R interface to nifticlib (nifticlib-2.0.0) (read/write
 ANALYZE(TM)7.5/NIfTI-1 volume images)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

get-orig-source:
	. debian/get-orig-source

=== debian/watch ===
# Rniftilib is not maintained at CRAN and does not have a download tarball at rforge

#version=3
#http://cran.r-project.org/src/contrib/Rniftilib_([\d.-]*)\.tar\.gz

version=4
opts=dversionmangle=s/.*/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
